# Interface yii\db\ExpressionBuilderInterface

Implemented by | yii\db\ExpressionBuilder, yii\db\PdoValueBuilder, yii\db\QueryExpressionBuilder, yii\db\conditions\BetweenColumnsConditionBuilder, yii\db\conditions\BetweenConditionBuilder, yii\db\conditions\ConjunctionConditionBuilder, yii\db\conditions\ExistsConditionBuilder, yii\db\conditions\HashConditionBuilder, yii\db\conditions\InConditionBuilder, yii\db\conditions\LikeConditionBuilder, yii\db\conditions\NotConditionBuilder, yii\db\conditions\SimpleConditionBuilder, yii\db\cubrid\conditions\LikeConditionBuilder, yii\db\mssql\conditions\InConditionBuilder, yii\db\mssql\conditions\LikeConditionBuilder, yii\db\mysql\JsonExpressionBuilder, yii\db\oci\conditions\InConditionBuilder, yii\db\oci\conditions\LikeConditionBuilder, yii\db\pgsql\ArrayExpressionBuilder, yii\db\pgsql\JsonExpressionBuilder, yii\db\sqlite\conditions\InConditionBuilder, yii\db\sqlite\conditions\LikeConditionBuilder
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/ExpressionBuilderInterface.php

Interface ExpressionBuilderInterface is designed to build raw SQL from specific expression objects that implement yii\db\ExpressionInterface.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
build() | Method builds the raw SQL from the $expression that will not be additionally escaped or quoted. | yii\db\ExpressionBuilderInterface

## Method Details

build() public abstract method

Method builds the raw SQL from the $expression that will not be additionally escaped or quoted.

public abstract string build ( yii\db\ExpressionInterface $expression, array &$params = [] )
$expression | yii\db\ExpressionInterface | The expression to be built.
$params | array | The binding parameters.
return | string | The raw SQL that will not be additionally escaped or quoted.